<script setup lang="ts">
import { uselistnamesumpayStore } from '@/stores/listnamesumpay'
import { uselistnamepayStore } from '@/stores/listnamepay'
import { ref, defineProps } from 'vue'
const dialog = ref(false)
const pay = ref('')
const listNamepay = uselistnamepayStore()
const Alllistname = listNamepay.listnamepay
const listNamesumpay = uselistnamesumpayStore()
import type { User } from '@/types/User'

const props = defineProps<{
  listnamepays: User[]
}>()
</script>

<template>
  <v-row justify="end">
    <v-dialog v-model="dialog" persistent width="auto">
      <template v-slot:activator="{ props }">
        <v-btn color="green-darken-1" v-bind="props" prepend-icon="mdi-cash-multiple">
          Payment
        </v-btn>
      </template>
      <v-card>
        <v-card-title class="text-h5"> Confirm the Payment </v-card-title>
        <div>
          <v-card>
            <v-table fixed-header height="500px" style="overflow: auto; width: 2400px">
              <thead>
                <tr>
                  <th class="text-center">FullName</th>
                  <th class="text-center">Salary</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(item, index) in listNamepay.listnamepay" :key="index">
                  <td class="text-center">{{ item.name }}</td>
                  <td class="text-center">{{ item.salary }} ฿</td>
                </tr>
              </tbody>
            </v-table>
          </v-card>
        </div>

        <div style="font-size: 30px">Total : {{ listNamepay.Sumsalary }} ฿</div>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field label="Confirm the payment" v-model="pay"> </v-text-field>
            </v-col>
          </v-row>
        </v-container>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="pink" variant="text" @click="dialog = false ;pay = ''">
            Disagree
          </v-btn>
          <v-btn
            color="green"
            variant="text"
            @click=" listNamesumpay.sumsalary(pay) ;dialog = false ;pay = ''"
          >
            Agree
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
